/*
ScheduleTogether Backend
Copyright (C) 2024, Zervó Zadachin

DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License version 3 for more details.

This program incorporates external libraries for certain functionalities.
These libraries are covered by their respective licenses, and their usage
agreements are as outlined in their respective documentation or source
code.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package handlers

import (
	"github.com/kataras/iris/v12"

	"git.zervo.org/scheduletogether/backend/internal/api/middlewares"
	perms "git.zervo.org/scheduletogether/backend/pkg/permissions"
)

// ScheduleHandler_RegisterRoutes registers routes for the ScheduleHandler
func ScheduleHandler_RegisterRoutes(party iris.Party) {
	party.Use(middlewares.Authenticate()) // only allow authenticated users for the following endpoints
	party.Post("/", middlewares.Authorize(perms.CreateSchedule))
}

// ScheduleCreate_Handler handles the POST /schedules endpoint
func ScheduleCreate_Handler(ctx iris.Context) {

}
