/*
ScheduleTogether Backend
Copyright (C) 2024, Zervó Zadachin

DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License version 3 for more details.

This program incorporates external libraries for certain functionalities.
These libraries are covered by their respective licenses, and their usage
agreements are as outlined in their respective documentation or source
code.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

package types

type CommonMessageResponse struct {
	Message string `json:"message"`
}

type CommonErrorResponse struct {
	Error string `json:"error"`
}

type PingResponse struct {
	Message string `json:"message"`
	Time    string `json:"time"`
	Ok      bool   `json:"ok"`
}

type AccountRegisterResponse struct {
	Message    string `json:"message"`
	Uuid       string `json:"uuid"`
	MustVerify bool   `json:"mustVerify"`
}

type AccountSigninResponse struct {
	Token string `json:"token"`
}

type UserRegisterFieldValidationErrorResponse struct {
	ValidationFailed bool   `json:"validationFailed"`
	FirstName        string `json:"firstName"`
	LastName         string `json:"lastName"`
	Username         string `json:"username"`
	Email            string `json:"email"`
	Password         string `json:"password"`
}

type FriendsGetRequestsResponse struct {
	Amount   int             `json:"amount"`
	Requests []FriendRequest `json:"requests"`
}
